<?php

include 'load.php';

if(isset($_GET['branch_id'])){
	$branch_id=mysqli_real_escape_string($conn,$_GET['branch_id']);
	$view_qury=mysqli_query($conn,"SELECT * FROM branch WHERE branch_id='$branch_id'");
	$view_result=mysqli_fetch_array($view_qury);
}

else{
	echo "<script>window.location='branchlist.php';</script>";
}


	if(isset($_POST['update'])){

		$branch_id = $_GET['branch_id'];
		$branch_name = $_POST['branch_name'];
		$phonenumbers = $_POST['phonenumbers'];
		$address = $_POST['address'];
		$email = $_POST['email'];
		$startdate = $_POST['startdate'];
		$enddate = $_POST['enddate'];
		$packege = $_POST['packege'];
		$status = $_POST['status'];
		
		$imgFile = $_FILES['user_image']['name'];
		$tmp_dir = $_FILES['user_image']['tmp_name'];
		$imgSize = $_FILES['user_image']['size'];

		if ($imgFile) {

		$upload_dir = 'images/branch/'; // upload directory	

		$imgExt = strtolower(pathinfo($imgFile, PATHINFO_EXTENSION)); // get image extension

		$valid_extensions = array('jpeg', 'jpg', 'png', 'gif'); // valid extensions

		$userpic = rand(1, 1000000) . "." . $imgExt;

		if (in_array($imgExt, $valid_extensions)) {

			if ($imgSize < 5000000) {

				unlink($upload_dir . $view_result['logo']);

				move_uploaded_file($tmp_dir, $upload_dir . $userpic);

			} else {

				$errMSG = "Sorry, your file is too large it investould be less then 5MB";

			}

		} else {

			$errMSG = "Sorry, only JPG, JPEG, PNG & GIF files are allowed.";

		}

	} else {

		// if no image selected the old image remain as it is.

		$userpic = $view_result['logo']; // old image from database

	}
			
			$stmt = $DB_con->prepare('UPDATE branch
			SET branch_name=:branch_name,
			phonenumbers=:phonenumbers,
			address=:address,
			email=:email,
			logo=:upic,
			startdate=:startdate,
			enddate=:enddate,
			packege=:packege,
			status=:status
			WHERE branch_id=:branch_id');
			$stmt->bindParam(':branch_name',$branch_name);
			$stmt->bindParam(':phonenumbers',$phonenumbers);
			$stmt->bindParam(':address',$address);
			$stmt->bindParam(':email',$email);
			$stmt->bindParam(':upic', $userpic);
			$stmt->bindParam(':startdate',$startdate);
			$stmt->bindParam(':enddate',$enddate);
			$stmt->bindParam(':packege',$packege);
			$stmt->bindParam(':status',$status);
			$stmt->bindParam(':branch_id',$branch_id);
			
      if($stmt->execute()){
		  
			$successMSG = "Branch Successfully Updated ...";
				
			header("refresh:2;branchlist.php"); // redirects image view page after 5 seconds.
				
			}else{
				
			$errMSG = "Sorry Data Could Not Updated !";
				
			}

}
	
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Payroll | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="author" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Edit Branch | Payroll | Pos & Invetory System | Dashboard

</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Edit Branch</h4>
<h6>Edit a Branch</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
<?php

if(isset($errMSG)){

?>
									
<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
<div class="d-flex align-items-center">
<div class="font-35 text-white"><i class="bx bxs-message-square-x"></i>
</div>
<div class="ms-3">
<h6 class="mb-0 text-white">Error Alerts</h6>
<div class="text-white"> <?php echo $errMSG; ?>!</div>
</div>
</div>
<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
									
<?php

}
	
else if(isset($successMSG)){

?>
									
<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
<div class="d-flex align-items-center">
<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
</div>
<div class="ms-3">
<h6 class="mb-0 text-white">Success Alerts</h6>
<div class="text-white"><?php echo $successMSG; ?>!</div>
</div>
</div>
<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
									
<?php

}

?>
<div class="row">
<div class="col-lg-4 col-sm-4 col-12">
<div class="form-group">
<label>Branch/Business Name</label>
<input type="text" name="branch_name" class="form-control" placeholder="Enter Branch/Business Name" value="<?php echo $view_result['branch_name']; ?>">
</div>
</div>
<div class="col-lg-4 col-sm-4 col-12">
<div class="form-group">
<label>Phone Numbers</label>
<input type="text" name="phonenumbers" class="form-control" placeholder="Enter Phone Numbers" value="<?php echo $view_result['phonenumbers']; ?>">
</div>
</div>
<div class="col-lg-4 col-sm-4 col-12">
<div class="form-group">
<label>Address</label>
<input type="text" name="address" class="form-control" placeholder="Enter Address" value="<?php echo $view_result['address']; ?>">
</div>
</div>
<div class="col-lg-3 col-sm-3 col-12">
<div class="form-group">
<label>Email Address</label>
<input type="text" name="email" class="form-control" placeholder="Enter Email Address" value="<?php echo $view_result['email']; ?>">
</div>
</div>
<div class="col-lg-3 col-sm-3 col-12">
<div class="form-group">
<label>Start Date</label>
<input type="date" name="startdate" class="form-control" placeholder="Select Start Date" value="<?php echo $view_result['startdate']; ?>">
</div>
</div>
<div class="col-lg-3 col-sm-3 col-12">
<div class="form-group">
<label>End Date</label>
<input type="date" name="enddate" class="form-control" placeholder="Select End Date" value="<?php echo $view_result['enddate']; ?>">
</div>
</div>
<div class="col-lg-3 col-sm-3 col-12">
<div class="form-group">
<label>Package</label>
<select name="packege" class="form-control select2" id="inputpackege">
										<option value="<?php

												$id = $view_result['packege']; 

												$query = $DB_con->prepare('SELECT pkid FROM mobilepackage WHERE pkid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['pkid'];

												?>"><?php

												$id = $view_result['packege'];  

												$query = $DB_con->prepare('SELECT packagename FROM mobilepackage WHERE pkid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['packagename'];

												?></option>
										<?php

										$stmt = $DB_con->prepare('SELECT * FROM mobilepackage where status="1" ORDER BY pkid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);

										?>
										<option value="<?php echo $row['pkid']; ?>"><?php echo $row['packagename']; ?></option>
										<?php 
										} 
										}
										?>
</select>
</div>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<div class="form-group">
<label>Logo</label>
<label for="user_image"><img src="assets/img/empty.png" id="yourImgTag" class="pro_pick" style="width:200px;height:200px;"></label>
<input type="file" name="user_image" id="user_image" hidden="yes" onChange="dis_name();">
<script>
function dis_name(){
var input = document.getElementById("user_image");
var fReader = new FileReader();
fReader.readAsDataURL(input.files[0]);
fReader.onloadend = function (event){
var img = document.getElementById("yourImgTag");
img.src = event.target.result;
}
}
</script>
</div>
</div>
<div class="col-lg-2 col-sm-2 col-12">
<div class="form-group">
<label>Status</label>
<select class="form-control select2" name="status" required>
<option value="1"<?php if($view_result['status']=="1"){echo "selected";} ?>>Active</option>
<option value="0"<?php if($view_result['status']=="0"){echo "selected";} ?>>Deactive</option>
</select>
</div>
</div>
<div class="col-lg-12">
<a href="branchlist.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="update" class="btn btn-submit me-2">Update</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>

<?php require_once 'footerjs.php'; ?>

</body>
</html>